package com.zt.plat.module.contractorder.enums.purchaseorder;

import com.zt.plat.framework.common.exception.ErrorCode;

/**
 * contract-order 错误码枚举类
 *
 * contract-order 系统，使用 1-xxx-xxx-xxx 段
 *
 * @author ZT
 */
public interface ErrorCodeConstants {

    ErrorCode PURCHASE_ORDER_NOT_EXISTS =  new ErrorCode(1_008_000_001, "订单不存在");
    ErrorCode ORDER_ID_NOT_EXISTS = new ErrorCode(1_008_000_010, "订单id不能为空");
    ErrorCode PRCH_ORD_DTL_NOT_EXISTS =  new ErrorCode(1_008_001_001, "采购订单明细不存在");
    ErrorCode PURCHASE_ORDER_STATUS_ERROR = new ErrorCode(1_008_001_020, "非法的订单状态");
    ErrorCode Sales_ORDER_NOT_EXISTS =  new ErrorCode(1_008_000_030, "销售订单不存在");
    ErrorCode Sales_ORD_DTL_NOT_EXISTS =  new ErrorCode(1_008_001_040, "销售订单明细不存在");
    ErrorCode ORDER_DONT_SUBMIT = new ErrorCode(1_008_000_050, "该订单不支持审批");
    ErrorCode MTRL_CODE_NOT_EXISTS = new ErrorCode(1_008_000_150, "中铜物料不存在");
    ErrorCode WAREHOUSE_CODE_OR_FACTORY_CODE_NOT_EXISTS = new ErrorCode(1_008_000_151, "{}");
    ErrorCode ERP_ORDER_UPDATE_FAILED = new ErrorCode(1_008_000_160, "erp订单更新失败");
    ErrorCode ORDER_DETAIL_NOT_EXISTS = new ErrorCode(1_008_000_060, "订单明细不能为空");
    ErrorCode PURCHASE_ORDER_ID_IS_NULL = new ErrorCode(1_008_000_070, "订单ID不能为空");
    ErrorCode PURCHASE_ORDER_ID_IS_EMPTY = new ErrorCode(1_008_000_080, "业务订单类型非法，请参考字典：SPLY_BSN_TP");
    ErrorCode PURCHASE_ORDER_NOT_ALLOW_BIND = new ErrorCode(1_008_000_090, "来料销售加工订单不允许绑定订单");
}
